#
# spec file for package kdepim-runtime
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           kdepim-runtime
Version:        17.04.2
Release:        1.1
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Base package of kdepim
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         kdepim-runtime-%{version}.tar.xz
BuildRequires:  akonadi-calendar-devel >= %{_kapp_version}
BuildRequires:  akonadi-contact-devel >= %{_kapp_version}
BuildRequires:  akonadi-mime-devel >= %{_kapp_version}
BuildRequires:  akonadi-notes-devel >= %{_kapp_version}
BuildRequires:  extra-cmake-modules
BuildRequires:  kalarmcal-devel >= %{_kapp_version}
BuildRequires:  kcalcore-devel >= %{_kapp_version}
BuildRequires:  kcalutils-devel >= %{_kapp_version}
BuildRequires:  kcodecs-devel >= %{kf5_version}
BuildRequires:  kconfig-devel >= %{kf5_version}
BuildRequires:  kcontacts-devel >= %{_kapp_version}
BuildRequires:  kdav-devel >= %{_kapp_version}
BuildRequires:  kdelibs4support-devel >= %{kf5_version}
BuildRequires:  kf5-filesystem
BuildRequires:  kidentitymanagement-devel >= %{_kapp_version}
BuildRequires:  kimap-devel >= %{_kapp_version}
BuildRequires:  kio-devel >= %{kf5_version}
BuildRequires:  kitemmodels-devel >= %{kf5_version}
BuildRequires:  kmailtransport-devel >= %{_kapp_version}
BuildRequires:  kmbox-devel >= %{_kapp_version}
BuildRequires:  kmime-devel >= %{_kapp_version}
BuildRequires:  knewstuff-devel >= %{kf5_version}
BuildRequires:  knotifyconfig-devel >= %{kf5_version}
BuildRequires:  kwallet-devel >= %{kf5_version}
BuildRequires:  kwidgetsaddons-devel >= %{kf5_version}
BuildRequires:  libkgapi-devel >= 1.9.81
BuildRequires:  libkolab-qt5-devel >= 1.0
BuildRequires:  libkolabxml-devel >= 1.1
BuildRequires:  libxslt-devel
# broken KF5::AkonadiContact, phonon is in interface includes, but private link library
BuildRequires:  phonon4qt5-devel
BuildRequires:  pkgconfig
BuildRequires:  shared-mime-info
BuildRequires:  syndication-devel >= %{_kapp_version}
BuildRequires:  xz
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  pkgconfig(Qt5DBus) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.5.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.5.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebKitWidgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.5.0
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.5.0
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
Provides:       kio-pimlibs = %{version}
Obsoletes:      kio-pimlibs < %{version}
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 mips mips64
Obsoletes:      kdepim4-runtime < %{version}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains the Akonadi files of the kdepim module.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n kdepim-runtime-%{version}

%build
%cmake_kf5 -d build -- -DBUILD_TESTING=ON -DKF5_INCLUDE_INSTALL_DIR=%{_kf5_includedir}

  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  rm -rvf %{buildroot}%{_kf5_libdir}/*.so

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%files
%defattr(-,root,root)
%doc COPYING*
%config %{_kf5_configdir}/kdepim-runtime.categories
%config %{_kf5_configdir}/kdepim-runtime.renamecategories
%{_kf5_bindir}/*
%{_kf5_libdir}/*.so.*
%{_kf5_libdir}/sasl2/
%{_kf5_plugindir}/
%{_datadir}/mime/packages/kdepim-mime.xml
%{_datadir}/akonadi/
%{_kf5_servicesdir}/
%{_kf5_servicetypesdir}
%{_kf5_iconsdir}/hicolor/*/*/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_kf5_notifydir}/
%{_kf5_htmldir}/en/kioslave5/

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * IMAP: allow creating top-level folders it User namespace is empty (kde#339567)
  * Fix Bug 379155 - Imap resources crash when trying to open settings (kde#379155)
  * Add missing include
  * Enable by default store locally emails
- Drop upstreamed patches:
  * add-missing-include.patch
  * fix-crash-when-configuring-IMAP-resources.patch
  * IMAP-allow-creating-top-level-folders-if-User-namespace-is-empty.patch
* Sun Jun  4 2017 wbauer@tmo.at
- Add IMAP-allow-creating-top-level-folders-if-User-namespace-is-empty.patch
  to fix creating/deleting top-level folders on certain IMAP servers
  (kde#339576)
* Mon May 22 2017 wbauer@tmo.at
- Add add-missing-include.patch and
  fix-crash-when-configuring-IMAP-resources.patch to fix IMAP
  resources crashing when trying to open settings
  (kde#379155, boo#1040086)
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Fix build with CMake 3.8.
  * [IMAP] Fix migration to new Gmail authentication
  * [IMAP] Disable the Gmail special cases when compiled without XOAUTH
  * hide doc help item.
  * [IMAP] Fix missing connect() when restarting IDLE job
  * [IMAP] Fix IDLE support with GSSAPI authentication (kde#311456)
- Drop upstreamed patches:
  * disable-gmail-when-compiled-without-xoauth.patch
  * fix-idle-support-with-gssapi.patch
  * fix-migration-to-new-gmail-authentication.patch
  * fix-missing-connect-when-restarting-idle.patch
* Tue May  9 2017 wbauer@tmo.at
- Unconditionally obsolete kdepim4-runtime on all distributions, we
  don't support kdepim4 any more
* Sat Apr 22 2017 lbeltrame@kde.org
- Add upstream patches to fix different issues with IMAP:
  * disable-gmail-when-compiled-without-xoauth.patch
  * fix-idle-support-with-gssapi.patch
  * fix-migration-to-new-gmail-authentication.patch
  * fix-missing-connect-when-restarting-idle.patch
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * not necessary to use += operator here
  * Use directly QFileInfo::exists here
  * Remove unused method
  * Minor optimization
  * Add remote ID information to "Corrupt Event", to make debugging possible.
  * using QFileInfo::exists( ) here too
  * Improve debug message
  * Improve debug output for the MyRights noise (which shouldn't happen anymore ;)
  * SessionPool: set the namespaces variables from the namespace job.
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * None
* Sun Mar 26 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * Preserve icaldir resource/collection display name (kde#376379)
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
- Drop fix-data-loss-bug-in-ical.patch due to upstream inclusion
* Sat Dec 24 2016 tittiatcoke@gmail.com
- Add fix-data-loss-bug-in-ical.patch to prevent an critical
  data loss. The ical resource failed to create std.ics if it
  didn't exists.
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Thu Aug 25 2016 fabian@ritter-vogt.de
- Provide/Obsolete kio-pimlibs
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup build requirements
* Fri Jul  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Tue Jun 14 2016 wbauer@tmo.at
- Use shared-mime-info macros (boo#979301)
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
- Drop bko354056.diff due to upstream inclusion
* Wed Mar 30 2016 tittiatcoke@gmail.com
- Add upstream patch bko354056.diff to resolve issues with
  Courier IMAP servers (bko#354056)
* Sun Mar 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.3
  * KDE Applications 15.12.3
  * https://www.kde.org/announcements/announce-applications-15.12.3.php
  * boo#970855
* Sat Feb 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.2
  * KDE Applications 15.12.2
  * https://www.kde.org/announcements/announce-applications-15.12.2.php
  * boo#966605
* Sat Jan  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.1
  * KDE Applications 15.12.1
  * https://www.kde.org/announcements/announce-applications-15.12.1.php
  * boo#961265
* Sun Dec 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.12.0
  * KDE Applications 15.12.0
  * https://www.kde.org/announcements/announce-applications-15.12.0.php
  * boo#958887
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
- Drop patch due to upstream inclusion
  * switch-to-gid-based-merge.diff
* Mon Sep 14 2015 lbeltrame@kde.org
- Add switch-to-gid-based-merge.diff: upstream changes to fix IMAP
  syncing of non-email objects (fixes email syncing with Kolab
  servers)
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
* Sat Aug 29 2015 cgiboudeaux@gmx.com
- Change the license tag to GPL-2.0
* Wed Aug 19 2015 cgiboudeaux@gmx.com
- Update to KDE Applications 15.08.0
  * KDE Applications 15.08.0
  * https://www.kde.org/announcements/announce-applications-15.08.0.php
* Fri Aug  7 2015 tittiatcoke@gmail.com
- Initial version based on KDE Applications 15.07.90
  * KDE Applications 15.08.0 RC1
  * https://www.kde.org/announcements/announce-applications-15.07.90.php
